Subject: Re: [PATCH] netpoll: fix race on poll_list resulting in garbage entry

From: Stephen Hemminger <[email-masked]>
Date: Wed, 17 Dec 2008 13:31:31 -0800

On Wed, 17 Dec 2008 16:16:28 -0500
Neil Horman <[email-masked]> wrote:

> On Tue, Dec 16, 2008 at 03:55:40PM -0800, David Miller wrote:
> > From: Neil Horman <[email-masked]>
> > Date: Fri, 12 Dec 2008 07:18:35 -0500
> > 
> > > On Thu, Dec 11, 2008 at 04:03:07PM -0800, Stephen Hemminger wrote:
> > > > I would ask it the other way. Why is interface an argument to netif_rx_complete
> > > > if it is never used?  
> > > > 
> > > Thats a fair question, and I don't know the answer, Dave?
> > 
> > That's just what the old code uses, since the NAPI context
> > sat inside of the device.  I just never removed it.
> 
> 
> To that end, Dave, I've got a tree with that api fixup complete.  Its on the
> napi_api_fixup branch of the tree here:
> http://git.infradead.org/users/nhorman/net-2.6.git?a=shortlog;h=refs/heads/napi_api_fixup
> 
> If you'd like to pull it, please go ahead, or I can submit individual patches
> for it, if you prefer
> 
> Regards
> Neil
> 
> > --
> > To unsubscribe from this list: send the line "unsubscribe netdev" in
> > the body of a message to [email-masked]
> > More majordomo info at  http://vger.kernel.org/majordomo-info.html
> > 
> 

Since this a kernel API change, you have to do it as a one big patch
otherwise the kernel source won't build for the intermediate steps,
which makes 'git bisect' impossible.  Please merge the patches together.